# {{ ansible_managed }}
# Upstream to abstract backend connection(s) for php
upstream php {
        server unix:/var/run/php/php{{ php_default_version_debian }}-fpm.sock;
        server 127.0.0.1:9000;
}

server {
        listen 443 ssl http2;
        listen [::]:443 ssl http2;
        server_name {{ inventory_hostname }};
        root {{ wp_directory }};
        ## This should be in your http block and if it is, it's not needed here.
        index index.php;
        {% if not development_environment%}
        ssl_certificate /etc/letsencrypt/live/{{ inventory_hostname }}/fullchain.pem;
        ssl_certificate_key /etc/letsencrypt/live/{{ inventory_hostname }}/privkey.pem;
        include /etc/letsencrypt/options-ssl-nginx.conf;
        ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;
        {% else %}
        include snippets/snakeoil.conf;
        {% endif %}


        location = /favicon.ico {
                log_not_found off;
                access_log off;
        }

        location = /robots.txt {
                allow all;
                log_not_found off;
                access_log off;
        }

        location / {
                # This is cool because no php is touched for static content.
                # include the "?$args" part so non-default permalinks doesn't break when using query string
                try_files $uri $uri/ /index.php?$args;
        }

        location ~ \.php$ {
                #NOTE: You should have "cgi.fix_pathinfo = 0;" in php.ini
                include fastcgi_params;
                fastcgi_intercept_errors on;
                fastcgi_pass php;
                #The following parameter can be also included in fastcgi_params file
                fastcgi_param  SCRIPT_FILENAME $document_root$fastcgi_script_name;
        }

        location ~* \.(js|css|png|jpg|jpeg|gif|ico)$ {
                expires max;
                log_not_found off;
        }

        location /nexporter/ {
            proxy_pass        http://localhost:9100/metrics;
            auth_basic            "Restricted";
            auth_basic_user_file  auth_basic/nexporter;
        }
}
